openSUSE-SU-2018:2742-1: Security update for GraphicsMagick


openSUSE Security Update: Security update for GraphicsMagick
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:2742-1
Rating: low
References: #1107604 #1107609
Cross-References: CVE-2018-16644 CVE-2018-16645
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 15.0
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for GraphicsMagick fixes the following issues:

– CVE-2018-16644: Added missing check for length in the functions
ReadDCMImage and ReadPICTImage, which allowed remote attackers to cause
a denial of service via a crafted image (bsc#1107609)
– CVE-2018-16645: Prevent excessive memory allocation issue in the
functions ReadBMPImage and ReadDIBImage, which allowed remote attackers
to cause a denial
of service via a crafted image file (bsc#1107604)

Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended installation methods
like YaST online_update or “zypper patch”.

Alternatively you can run the command listed for your product:

– openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-1020=1

– openSUSE Leap 15.0:

zypper in -t patch openSUSE-2018-1020=1

Package List:

– openSUSE Leap 42.3 (i586 x86_64):

GraphicsMagick-1.3.25-105.1
GraphicsMagick-debuginfo-1.3.25-105.1
GraphicsMagick-debugsource-1.3.25-105.1
GraphicsMagick-devel-1.3.25-105.1
libGraphicsMagick++-Q16-12-1.3.25-105.1
libGraphicsMagick++-Q16-12-debuginfo-1.3.25-105.1
libGraphicsMagick++-devel-1.3.25-105.1
libGraphicsMagick-Q16-3-1.3.25-105.1
libGraphicsMagick-Q16-3-debuginfo-1.3.25-105.1
libGraphicsMagick3-config-1.3.25-105.1
libGraphicsMagickWand-Q16-2-1.3.25-105.1
libGraphicsMagickWand-Q16-2-debuginfo-1.3.25-105.1
perl-GraphicsMagick-1.3.25-105.1
perl-GraphicsMagick-debuginfo-1.3.25-105.1

– openSUSE Leap 15.0 (x86_64):

GraphicsMagick-1.3.29-lp150.3.12.1
GraphicsMagick-debuginfo-1.3.29-lp150.3.12.1
GraphicsMagick-debugsource-1.3.29-lp150.3.12.1
GraphicsMagick-devel-1.3.29-lp150.3.12.1
libGraphicsMagick++-Q16-12-1.3.29-lp150.3.12.1
libGraphicsMagick++-Q16-12-debuginfo-1.3.29-lp150.3.12.1
libGraphicsMagick++-devel-1.3.29-lp150.3.12.1
libGraphicsMagick-Q16-3-1.3.29-lp150.3.12.1
libGraphicsMagick-Q16-3-debuginfo-1.3.29-lp150.3.12.1
libGraphicsMagick3-config-1.3.29-lp150.3.12.1
libGraphicsMagickWand-Q16-2-1.3.29-lp150.3.12.1
libGraphicsMagickWand-Q16-2-debuginfo-1.3.29-lp150.3.12.1
perl-GraphicsMagick-1.3.29-lp150.3.12.1
perl-GraphicsMagick-debuginfo-1.3.29-lp150.3.12.1

References:

https://www.suse.com/security/cve/CVE-2018-16644.html
https://www.suse.com/security/cve/CVE-2018-16645.html
https://bugzilla.suse.com/1107604
https://bugzilla.suse.com/1107609


To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org